
## 快速初始化配置Mac工作环境

![image](https://github.com/anzhihe/Efficient-office/blob/master/workspace/picture/mac.png)

## 1.Mac系统设置

- [写给小白看的Mac入门教程](https://zhuanlan.zhihu.com/p/32326941)

- [油管：Mac入门教堂](https://www.youtube.com/watch?v=2lJaUjPyUBM&list=PLlgjPYA-Byn_Y76iuJvqK9Gc96tQdk7Yk&index=1)

- [2022年苹果教育优惠 Mac全系购买指南渠道](https://chegva.com/5415.html)

- [使用迁移助理将内容迁移到一台新的 Mac 上](https://chegva.com/4279.html)

- 触控板：[触控板原来还有这些功能](https://sspai.com/post/44173)

- 屏保、触发角：[Mac自定义动态个性屏幕保护程序](https://chegva.com/3362.html)

- 开机启动程序：用户与群组 -> 登录项

- 辅助功能

  鼠标与触控板 -> 触控板选项 -> 滚动：带惯性，启动拖移：`三指拖移`

  新版：系统偏好设置 → 辅助功能 → 在边栏中选择`指针控制` → 点按`触控板选项`按钮 → 选择`启用拖移`，然后从菜单中选取`三指拖移`

- 关闭自动更新，可选

  打开`系统偏好设置` → `软件更新` → 取消选择`自动保持我的Mac最新` → 点击`高级`按钮，取消所有的勾选

- [Mac键盘快捷键](https://chegva.com/2459.html)

- [MacBook 如何在合上盖子后还能继续用外接键盘和显示器工作？](https://www.zhihu.com/question/20484274)


## 2.必备软件配置

- 输入法：[Mac鼠须管五笔输入法安装及自定义配置](https://chegva.com/3282.html) 

- 浏览器：[Chrome](https://www.google.cn/chrome/) ，登陆google账号将扩展插件，书签同步。[Firefox](https://www.mozilla.org/zh-CN/firefox/new/)安装备用
  
- [实用高效的 Chrome 插件推荐](https://chegva.com/3472.html)

- 终端：[iterm](https://www.iterm2.com/)，配置好字体，背景，颜色

  导出iterm配置：

  - `iTerm -> Preferences -> Profiles -> Other Actions -> Copy All Profiles as JSON`(复制全部了配置)

  导入iterm配置：

  - `cp ~/Downloads/iterm2.json ~/Library/Application\ Support/iTerm2/DynamicProfiles/`

  iterm 新建tab时添加标识颜色：

  - `iTerm → Scripts → Manage → import auto-tab-color.py scprit`

  iterm使用：

  - [oh-my-zsh](https://github.com/robbyrussell/oh-my-zsh/wiki)
  - [打造漂亮又好用的zsh环境](https://medium.com/statementdog-engineering/prettify-your-zsh-command-line-prompt-3ca2acc967f)
  - [iterm常用快捷键及添加rz、sz传文件功能](https://chegva.com/2776.html)

- Mac包管理工具：[HomeBrew](https://brew.sh/index_zh-cn.html)，被Q可以使用国内站：[清华镜像站](https://mirrors.tuna.tsinghua.edu.cn/help/homebrew/)

- [MacOS Monterey 12.3 安装python2.7、php、替换Homebrew为国内源](https://chegva.com/5428.html)

- 安装pyenv配置Python环境：[pyenv](https://github.com/pyenv/pyenv)，[MacOS 下利用 pyenv 管理Python 版本和虚拟环境](https://juejin.cn/post/6844903782636060686)

- 微信，QQ，Zoom，Telegram：自行下载即可

- [Alfred](https://www.alfredapp.com/)：Mac效率神器

  - [将Alfred Workflows导出至新机器](https://chegva.com/3489.html)
  - [实用高效的 Alfred Workflows 收集推荐](https://chegva.com/3488.html)

- [Snap](https://itunes.apple.com/cn/app/id418073146?mt=12)：应用快捷键调用工具

- [科学上网](https://github.com/haoel/haoel.github.io)

- [一键安装飞机厂](https://github.com/jinwyp/one_click_script)

- [ShadowsocksX-NG](https://github.com/shadowsocks/ShadowsocksX-NG/releases/)：小飞机，将原来机器上的配置导过来即可

- [v2ray](https://www.v2ray.com/)：这个是飞机厂

- [Dreamacro/clash: A rule-based tunnel in Go.](https://github.com/Dreamacro/clash)


## 3.工具软件推荐

- [PopClip——简单高效的增强神器](https://chegva.com/3417.html)

- [aText](https://www.trankynam.com/atext/)：输入增强工具，[高效文本增强工具–aText
](https://chegva.com/4196.html)

- [Snagit](https://www.techsmith.com/screen-capture.html)：录屏和截图工具

- [Jietu](https://jietu.qq.com/)：便捷的截图工具,M1用不了

- [Snipaste](https://zh.snipaste.com/download.html)：简洁好用的截图工具，M1可用

- [Xnip](https://xnipapp.com/)：滚动截图工具

- [LICEcap](https://www.cockos.com/licecap/)：录制gif

- [iText](https://en.toolinbox.net/iText/)：图像转文字工具,不过qq截图识字更好用，正确率更高

- [Get Plain Text](https://apps.apple.com/us/app/get-plain-text/id508368068?mt=12)：清除剪切版中文本格式

- [TinyCal](https://apps.apple.com/us/app/%E5%B0%8F%E5%8E%86-%E5%B0%8F%E8%80%8C%E7%BE%8E%E7%9A%84%E6%97%A5%E5%8E%86/id1114272557?mt=12)：小而美的日历

- [BetterTouchTool](https://folivora.ai/)：触摸板神器

- [Karabiner-Elements](https://pqrs.org/osx/karabiner/)：改键神器

- [CheatSheet](https://www.macupdate.com/app/mac/43222/cheatsheet)：查看软件快捷键

- [Bartender](https://www.macbartender.com/)：图标隐藏

- [Path Finder](https://www.cocoatech.io/): 好用的Finder加强软件

- [Typora](https://www.typora.io/)：Markdown、文档编辑器，[Markdown学习笔记
](https://chegva.com/280.html)

- [Atom](https://atom.io/)：开源的多功能编辑器，[Atom操作快捷键
](https://chegva.com/2464.html)

- [Sublime Text](https://www.sublimetext.com/)：文本编辑器

- [Adobe Acrobat a complete PDF Solution](https://www.adobe.com/sg/acrobat/complete-pdf-solution.html)

- [Clearview](https://xclient.info/s/clearview.html)：Pdf阅读器

- [PDF Export - PDF Editor & Scan](https://apps.apple.com/us/app/pdf-export-pdf-editor-scan/id633275113)

- [CHM Sharp(CHM阅读器)](https://apps.apple.com/cn/app/chm-sharp-chm%E9%98%85%E8%AF%BB%E5%99%A8/id467098001)

- [Smart Converter Pro](https://www.shedworx.com/smart-converter-pro)：格式转换

- [Any Video Converter Pro](https://www.any-video-converter.com/products/for_mac/)

- [Wireshark](https://www.wireshark.org/)：抓包工具

- [Charles](https://www.charlesproxy.com/)：mac抓包工具

- [Proxifier](https://www.proxifier.com/)：代理转发

- [IINA](https://iina.io/)：播放器

- [Spotify](https://www.spotify.com/)：音乐播放器

- [网易云音乐](https://music.163.com/)

- [QQ音乐](https://y.qq.com/)

- [LyricsX](https://github.com/ddddxxx/LyricsX)：macOS中歌词显示神器

- [Free Download Manager](https://www.freedownloadmanager.org/zh/)：下载器

- [youtobe-dl](https://github.com/ytdl-org/youtube-dl)：web端video下载神器

- [you-get](https://github.com/soimort/you-get)：web端video下载神器

- [CleanMyMac](https://macpaw.com/cleanmymac)：系统清理工具

- [DrCleaner](https://www.trendmicro.com/zh_tw/forHome/products/drcleaner.html)

- [iStat Menus](https://bjango.com/mac/istatmenus/)：系统状态监控工具

- [1Password](https://1password.com/zh-cn/)：密码管理

- [Outlook](https://outlook.live.com/owa/)：邮件客户端

- [MindNode](https://mindnode.com/)：脑图

- [XMind](https://www.xmind.cn/)：思维脑图

- [Diagrams](https://www.diagrams.net/)：免费开源跨平台的绘图应用

- [OmniFocus](https://www.omnigroup.com/)：办公工具

- [Bear](https://bear.app/cn/)：优雅的笔记应用

- OmniGraffle

- OmniOutliner

- OmniPlan

- [Telegram](https://telegram.org/)：通讯工具

- [Skype](http://skype.gmw.cn/down/skype-for-computers.html)：老牌好用的通讯app

- [Potato](https://potato.im/)

- [Postman](https://www.postman.com/)：API调试工具

- [Apipost - API 文档、设计、调试、自动化测试一体化协作平台](https://www.apipost.cn/)

- [Apifox](https://www.apifox.cn/)：Apifox = Postman + Swagger + Mock + JMeter

- [He3: 开发者必备的万能工具箱](https://he3.app/zh/)

- [Paw](https://paw.cloud/)：API tool

- [PyCharm](https://www.jetbrains.com/pycharm/)：开发工具，Python项目好使

- [VSCode](https://code.visualstudio.com/)：前端好使，插件多，[VSCode实用配置及常用快捷键
](https://chegva.com/4702.html)

- [Goland](https://www.jetbrains.com/go/)：写Golang项目好使，[GoLand 中使用自定义动态模板高效编程
](https://chegva.com/4978.html)

- [CodeRunner](https://coderunnerapp.com/)：一个轻量级的，多语言程序编程器，写脚本好使

- [Navicat Premium](https://www.navicat.com.cn/products/navicat-premium)：支持多种数据库的管理工具

- [Sourcetree | Free Git GUI for Mac and Windows](https://www.sourcetreeapp.com/)

- [Dash](https://kapeli.com/dash)：API Documentation Browser and Code Snippet Manager

- [Beyond Compare](https://www.scootersoftware.com/)：文件对比工具

- [SwitchHosts](https://github.com/oldj/SwitchHosts)：切换绑定hosts

- [TeamViewer](https://www.teamviewer.cn/cn/)：远程登陆客户端

- [Resilio Sync](https://www.resilio.com/platforms/desktop/)：分布式网盘

- [百度网盘](https://pan.baidu.com/)

- [Tor Browser](https://www.torproject.org/download/)：洋葱

- [网易MuMu](https://mumu.163.com/)：模拟器

- Office办公套件：word、excel、powerpoint、visio

- [Final Cut Pro](https://www.apple.com.cn/final-cut-pro/)：专业视频制作

- [VideoScribe](https://www.videoscribe.co/en/)：视频制作

- [iMovie](https://support.apple.com/imovie)：视频编辑

- [ArcTime](https://arctime.org/index.html)：字幕制作

- [Vlc](https://www.videolan.org/vlc/index.html)：VLC media player

- [HandBrake](https://handbrake.fr/)：视频格式转换

- [Inkscape](https://inkscape.org/)：图形编辑

- [Google Earth](https://www.google.com/earth/)：谷歌地球

- [Stellarium](http://stellarium.org/)：虚拟天文馆

- [GoldenDict](http://www.goldendict.org/)：专业字典软件

- [GoldenPassport](https://github.com/stanzhai/GoldenPassport)：谷歌认证客户端

- [Solid Converter Mac](https://www.mac-pdf-converter.com/zh/)：pdf转Microsoft office文档工具

- [Reeder](https://reederapp.com/)：Mac上最好用的RSS阅读器客户端

- [NetNewsWire](https://ranchero.com/netnewswire/)：Mac上免费开源的RSS客户端

- [FDM](https://www.freedownloadmanager.org/zh/)：开源好用的小众下载器

- [SiteSucker](https://ricks-apps.com/osx/sitesucker/index.html): 整站下载工具

- [FOLX 5](https://mac.eltima.com/download-manager.html)：Mac老牌下载器

- [Motrix](https://motrix.app/zh-CN/)：开源全能下载器

- [Transmission](https://transmissionbt.com/)：BT下载器

- [μTorrent](https://www.utorrent.com/)：迷你BT下载器

- [ColorSlurp](https://colorslurp.com/)：取色工具

- [ColorSnapper](https://colorsnapper.com/)

- [Timer RH on the Mac App Store](https://apps.apple.com/us/app/red-hot-timer/id929960914)：定时闹钟

- [Amphetamine](https://apps.apple.com/cn/app/amphetamine/id937984704)：Mac保持唤醒状态

- [Axure RP - UX Prototypes, Specifications, and Diagrams in One Tool](https://www.axure.com/)

- [墨刀-高效产设研协同平台](https://modao.cc/)

- [Little Snitch](https://www.obdev.at/products/littlesnitch/index.html)：防火墙工具

- [Radio Silence](https://radiosilenceapp.com/)：The easiest firewall and network monitor for all Macs


### 参考：

- [初始化macOS苹果系统【MAC | WIN双系统】](https://mp.weixin.qq.com/s/V3Q8HV7g1eY58wBCreBY8g)
- [如何快速上手Mac](https://mp.weixin.qq.com/s/MUFzmUDreTLylt0hk4yAMw)
- [程序员的macOS系列：精选Mac App](https://ihtcboy.com/2018/07/15/2018-07-15_%E7%A8%8B%E5%BA%8F%E5%91%98%E7%9A%84macOS%E7%B3%BB%E5%88%97%EF%BC%9A%E7%B2%BE%E9%80%89MacApp/)
- [Mac 开发配置手册](https://mp.weixin.qq.com/s/c5qzRqi8-Y5RXWOviALCmw)
- [Mac 快速入门操作指南](https://github.com/wangriyu/wangriyu.github.io/issues/4)
- [超实用高效 MacBook 工作环境配置！](https://mp.weixin.qq.com/s/d7wPuO__x2ecrSqBFVvM0A)
- [2020 搞个 Mac 玩玩吧！](https://mp.weixin.qq.com/s/HpxzVOZYhm0flf3ziANcGg)
- [推荐一些 Mac 上比较好用的软件](https://mp.weixin.qq.com/s/Q2IEE4t3naR6j3iP78V29g)
- [Mac工作使用](https://chegva.com/tag/mac/)
- [jaywcjlove/awesome-mac](https://github.com/jaywcjlove/awesome-mac)
